## smartctl-exporter 0.14.0

=== Makefile ===
# Copyright 2022 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64
DOCKER_REPO  ?= prometheuscommunity

include Makefile.common

STATICCHECK_IGNORE =

DOCKER_IMAGE_NAME ?= smartctl-exporter

=== debian/changelog ===
smartctl-exporter (0.14.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: Use better authors name for copyright as mentioned
    by ftp-masters

 -- Vasudev Kamath <vasudev@debian.org>  Thu, 09 Oct 2025 10:28:52 +0530

smartctl-exporter (0.14.0-1) experimental; urgency=medium

  * Initial release (Closes: bug#1107476)

 -- Vasudev Kamath <vasudev@debian.org>  Thu, 09 Oct 2025 10:28:44 +0530

=== debian/control ===
Source: smartctl-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Vasudev Kamath <vasudev@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-tidwall-gjson-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/smartctl-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/smartctl-exporter.git
Homepage: https://github.com/prometheus-community/smartctl_exporter
XS-Go-Import-Path: github.com/prometheus-community/smartctl_exporter

Package: prometheus-smartctl-exporter
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         smartmontools (>= 7.0~)
Static-Built-Using: ${misc:Static-Built-Using}
Description: Export smartctl statistics to prometheus (program)
 This package provides prometheus exporter to export smartctl metrics to
 prometheus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/_build


%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus-community/smartctl_exporter/tags .*/v?(\d\S*)\.tar\.gz debian
